;
! function() {
    try {
        var e = "undefined" != typeof globalThis ? globalThis : "undefined" != typeof global ? global : "undefined" != typeof window ? window : "undefined" != typeof self ? self : {},
            n = (new e.Error).stack;
        n && ((e._debugIds || (e._debugIds = {}))[n] = "46645fac-50b5-9e8c-74ac-bbfa20d14d58")
    } catch (e) {}
}();
(globalThis.TURBOPACK || (globalThis.TURBOPACK = [])).push(["object" == typeof document ? document.currentScript : void 0, 190259, 556800, t => {
    "use strict";
    var e = t.i(796755);
    let r = function(t) {
        var e = typeof t;
        return null != t && ("object" == e || "function" == e)
    };
    t.s(["default", 0, r], 556800), t.s(["default", 0, function(t) {
        if (!r(t)) return !1;
        var n = (0, e.default)(t);
        return "[object Function]" == n || "[object GeneratorFunction]" == n || "[object AsyncFunction]" == n || "[object Proxy]" == n
    }], 190259)
}, 97955, 12156, t => {
    "use strict";
    var e, r = t.i(190259),
        n = t.i(26148).default["__core-js_shared__"],
        i = (e = /[^.]+$/.exec(n && n.keys && n.keys.IE_PROTO || "")) ? "Symbol(src)_1." + e : "",
        a = t.i(556800),
        u = Function.prototype.toString;
    let o = function(t) {
        if (null != t) {
            try {
                return u.call(t)
            } catch (t) {}
            try {
                return t + ""
            } catch (t) {}
        }
        return ""
    };
    t.s(["default", 0, o], 12156);
    var s = /^\[object .+?Constructor\]$/,
        l = Object.prototype,
        f = Function.prototype.toString,
        c = l.hasOwnProperty,
        d = RegExp("^" + f.call(c).replace(/[\\^$.*+?()[\]{}|]/g, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$");
    let h = function(t) {
        return !!(0, a.default)(t) && (!i || !(i in t)) && ((0, r.default)(t) ? d : s).test(o(t))
    };
    t.s(["default", 0, function(t, e) {
        var r = null == t ? void 0 : t[e];
        return h(r) ? r : void 0
    }], 97955)
}, 404983, t => {
    "use strict";
    var e = (0, t.i(97955).default)(Object, "create"),
        r = Object.prototype.hasOwnProperty,
        n = Object.prototype.hasOwnProperty;

    function i(t) {
        var e = -1,
            r = null == t ? 0 : t.length;
        for (this.clear(); ++e < r;) {
            var n = t[e];
            this.set(n[0], n[1])
        }
    }
    i.prototype.clear = function() {
        this.__data__ = e ? e(null) : {}, this.size = 0
    }, i.prototype.delete = function(t) {
        var e = this.has(t) && delete this.__data__[t];
        return this.size -= !!e, e
    }, i.prototype.get = function(t) {
        var n = this.__data__;
        if (e) {
            var i = n[t];
            return "__lodash_hash_undefined__" === i ? void 0 : i
        }
        return r.call(n, t) ? n[t] : void 0
    }, i.prototype.has = function(t) {
        var r = this.__data__;
        return e ? void 0 !== r[t] : n.call(r, t)
    }, i.prototype.set = function(t, r) {
        var n = this.__data__;
        return this.size += +!this.has(t), n[t] = e && void 0 === r ? "__lodash_hash_undefined__" : r, this
    }, t.s(["default", 0, i], 404983)
}, 781011, t => {
    "use strict";
    t.s(["default", 0, function() {
        this.__data__ = [], this.size = 0
    }])
}, 376327, t => {
    "use strict";
    t.s(["default", 0, function(t, e) {
        return t === e || t != t && e != e
    }])
}, 165445, 508596, t => {
    "use strict";
    var e = t.i(781011),
        r = t.i(376327);
    let n = function(t, e) {
        for (var n = t.length; n--;)
            if ((0, r.default)(t[n][0], e)) return n;
        return -1
    };
    var i = Array.prototype.splice;

    function a(t) {
        var e = -1,
            r = null == t ? 0 : t.length;
        for (this.clear(); ++e < r;) {
            var n = t[e];
            this.set(n[0], n[1])
        }
    }
    a.prototype.clear = e.default, a.prototype.delete = function(t) {
        var e = this.__data__,
            r = n(e, t);
        return !(r < 0) && (r == e.length - 1 ? e.pop() : i.call(e, r, 1), --this.size, !0)
    }, a.prototype.get = function(t) {
        var e = this.__data__,
            r = n(e, t);
        return r < 0 ? void 0 : e[r][1]
    }, a.prototype.has = function(t) {
        return n(this.__data__, t) > -1
    }, a.prototype.set = function(t, e) {
        var r = this.__data__,
            i = n(r, t);
        return i < 0 ? (++this.size, r.push([t, e])) : r[i][1] = e, this
    }, t.s(["default", 0, a], 165445);
    var u = t.i(97955),
        o = t.i(26148),
        s = (0, u.default)(o.default, "Map");
    t.s(["default", 0, s], 508596)
}, 82611, t => {
    "use strict";
    var e = t.i(404983),
        r = t.i(165445),
        n = t.i(508596);
    let i = function(t) {
            var e = typeof t;
            return "string" == e || "number" == e || "symbol" == e || "boolean" == e ? "__proto__" !== t : null === t
        },
        a = function(t, e) {
            var r = t.__data__;
            return i(e) ? r["string" == typeof e ? "string" : "hash"] : r.map
        };

    function u(t) {
        var e = -1,
            r = null == t ? 0 : t.length;
        for (this.clear(); ++e < r;) {
            var n = t[e];
            this.set(n[0], n[1])
        }
    }
    u.prototype.clear = function() {
        this.size = 0, this.__data__ = {
            hash: new e.default,
            map: new(n.default || r.default),
            string: new e.default
        }
    }, u.prototype.delete = function(t) {
        var e = a(this, t).delete(t);
        return this.size -= !!e, e
    }, u.prototype.get = function(t) {
        return a(this, t).get(t)
    }, u.prototype.has = function(t) {
        return a(this, t).has(t)
    }, u.prototype.set = function(t, e) {
        var r = a(this, t),
            n = r.size;
        return r.set(t, e), this.size += +(r.size != n), this
    }, t.s(["default", 0, u], 82611)
}, 122137, t => {
    "use strict";
    t.s(["default", 0, function(t, e) {
        for (var r = -1, n = e.length, i = t.length; ++r < n;) t[i + r] = e[r];
        return t
    }])
}, 340504, t => {
    "use strict";
    var e = t.i(796755),
        r = t.i(6251);
    let n = function(t) {
        return (0, r.default)(t) && "[object Arguments]" == (0, e.default)(t)
    };
    var i = Object.prototype,
        a = i.hasOwnProperty,
        u = i.propertyIsEnumerable,
        o = n(function() {
            return arguments
        }()) ? n : function(t) {
            return (0, r.default)(t) && a.call(t, "callee") && !u.call(t, "callee")
        };
    t.s(["default", 0, o], 340504)
}, 344020, t => {
    "use strict";
    t.s(["default", 0, function(t) {
        return t
    }])
}, 621122, t => {
    "use strict";
    var e = t.i(97955),
        r = function() {
            try {
                var t = (0, e.default)(Object, "defineProperty");
                return t({}, "", {}), t
            } catch (t) {}
        }();
    t.s(["default", 0, r])
}, 523305, t => {
    "use strict";
    t.s(["default", 0, function(t) {
        return "number" == typeof t && t > -1 && t % 1 == 0 && t <= 0x1fffffffffffff
    }])
}, 170270, t => {
    "use strict";
    var e = t.i(26148);
    t.s(["default", 0, function() {
        return e.default.Date.now()
    }])
}, 844732, t => {
    "use strict";
    var e = /\s/;
    let r = function(t) {
        for (var r = t.length; r-- && e.test(t.charAt(r)););
        return r
    };
    var n = /^\s+/,
        i = t.i(556800),
        a = t.i(610244),
        u = 0 / 0,
        o = /^[-+]0x[0-9a-f]+$/i,
        s = /^0b[01]+$/i,
        l = /^0o[0-7]+$/i,
        f = parseInt;
    t.s(["default", 0, function(t) {
        if ("number" == typeof t) return t;
        if ((0, a.default)(t)) return u;
        if ((0, i.default)(t)) {
            var e, c = "function" == typeof t.valueOf ? t.valueOf() : t;
            t = (0, i.default)(c) ? c + "" : c
        }
        if ("string" != typeof t) return 0 === t ? t : +t;
        t = (e = t) ? e.slice(0, r(e) + 1).replace(n, "") : e;
        var d = s.test(t);
        return d || l.test(t) ? f(t.slice(2), d ? 2 : 8) : o.test(t) ? u : +t
    }], 844732)
}, 293039, t => {
    "use strict";
    var e = t.i(556800),
        r = t.i(170270),
        n = t.i(844732),
        i = Math.max,
        a = Math.min;
    t.s(["default", 0, function(t, u, o) {
        var s, l, f, c, d, h, p = 0,
            v = !1,
            g = !1,
            y = !0;
        if ("function" != typeof t) throw TypeError("Expected a function");

        function _(e) {
            var r = s,
                n = l;
            return s = l = void 0, p = e, c = t.apply(n, r)
        }

        function m(t) {
            var e = t - h,
                r = t - p;
            return void 0 === h || e >= u || e < 0 || g && r >= f
        }

        function b() {
            var t, e, n, i = (0, r.default)();
            if (m(i)) return E(i);
            d = setTimeout(b, (t = i - h, e = i - p, n = u - t, g ? a(n, f - e) : n))
        }

        function E(t) {
            return (d = void 0, y && s) ? _(t) : (s = l = void 0, c)
        }

        function O() {
            var t, e = (0, r.default)(),
                n = m(e);
            if (s = arguments, l = this, h = e, n) {
                if (void 0 === d) return p = t = h, d = setTimeout(b, u), v ? _(t) : c;
                if (g) return clearTimeout(d), d = setTimeout(b, u), _(h)
            }
            return void 0 === d && (d = setTimeout(b, u)), c
        }
        return u = (0, n.default)(u) || 0, (0, e.default)(o) && (v = !!o.leading, f = (g = "maxWait" in o) ? i((0, n.default)(o.maxWait) || 0, u) : f, y = "trailing" in o ? !!o.trailing : y), O.cancel = function() {
            void 0 !== d && clearTimeout(d), p = 0, s = h = l = d = void 0
        }, O.flush = function() {
            return void 0 === d ? c : E((0, r.default)())
        }, O
    }])
}, 871780, t => {
    "use strict";
    var e = t.i(82611);

    function r(t) {
        var r = -1,
            n = null == t ? 0 : t.length;
        for (this.__data__ = new e.default; ++r < n;) this.add(t[r])
    }
    r.prototype.add = r.prototype.push = function(t) {
        return this.__data__.set(t, "__lodash_hash_undefined__"), this
    }, r.prototype.has = function(t) {
        return this.__data__.has(t)
    }, t.s(["default", 0, r], 871780)
}, 507595, 105754, t => {
    "use strict";
    let e = function(t, e, r, n) {
            for (var i = t.length, a = r + (n ? 1 : -1); n ? a-- : ++a < i;)
                if (e(t[a], a, t)) return a;
            return -1
        },
        r = function(t) {
            return t != t
        },
        n = function(t, e, r) {
            for (var n = r - 1, i = t.length; ++n < i;)
                if (t[n] === e) return n;
            return -1
        };
    t.s(["default", 0, function(t, i) {
        return !!(null == t ? 0 : t.length) && (i == i ? n(t, i, 0) : e(t, r, 0)) > -1
    }], 507595), t.s(["default", 0, function(t, e, r) {
        for (var n = -1, i = null == t ? 0 : t.length; ++n < i;)
            if (r(e, t[n])) return !0;
        return !1
    }], 105754)
}, 540143, t => {
    "use strict";
    t.s(["default", 0, function(t) {
        return function(e) {
            return t(e)
        }
    }])
}, 752882, t => {
    "use strict";
    t.s(["default", 0, function(t, e) {
        return t.has(e)
    }])
}, 150379, t => {
    "use strict";
    var e = t.i(190259),
        r = t.i(523305);
    t.s(["default", 0, function(t) {
        return null != t && (0, r.default)(t.length) && !(0, e.default)(t)
    }])
}, 831337, t => {
    "use strict";
    var e = t.i(293039);
    t.s(["debounce", () => e.default])
}, 552470, t => {
    "use strict";
    let e = Symbol("Comlink.proxy"),
        r = Symbol("Comlink.endpoint"),
        n = Symbol("Comlink.releaseProxy"),
        i = Symbol("Comlink.finalizer"),
        a = Symbol("Comlink.thrown"),
        u = t => "object" == typeof t && null !== t || "function" == typeof t,
        o = new Map([
            ["proxy", {
                canHandle: t => u(t) && t[e],
                serialize(t) {
                    let {
                        port1: e,
                        port2: r
                    } = new MessageChannel;
                    return s(t, e), [r, [r]]
                },
                deserialize: t => (t.start(), f(t))
            }],
            ["throw", {
                canHandle: t => u(t) && a in t,
                serialize: ({
                    value: t
                }) => [t instanceof Error ? {
                        isError: !0,
                        value: {
                            message: t.message,
                            name: t.name,
                            stack: t.stack
                        }
                    } : {
                        isError: !1,
                        value: t
                    },
                    []
                ],
                deserialize(t) {
                    if (t.isError) throw Object.assign(Error(t.value.message), t.value);
                    throw t.value
                }
            }]
        ]);

    function s(t, e = globalThis, r = ["*"]) {
        e.addEventListener("message", function n(u) {
            let o;
            if (!u || !u.data) return;
            if (! function(t, e) {
                    for (let r of t)
                        if (e === r || "*" === r || r instanceof RegExp && r.test(e)) return !0;
                    return !1
                }(r, u.origin)) return void console.warn(`Invalid origin '${u.origin}' for comlink proxy`);
            let {
                id: f,
                type: c,
                path: d
            } = Object.assign({
                path: []
            }, u.data), h = (u.data.argumentList || []).map(m);
            try {
                let e = d.slice(0, -1).reduce((t, e) => t[e], t),
                    r = d.reduce((t, e) => t[e], t);
                switch (c) {
                    case "GET":
                        o = r;
                        break;
                    case "SET":
                        e[d.slice(-1)[0]] = m(u.data.value), o = !0;
                        break;
                    case "APPLY":
                        o = r.apply(e, h);
                        break;
                    case "CONSTRUCT":
                        {
                            let t = new r(...h);o = y(t)
                        }
                        break;
                    case "ENDPOINT":
                        {
                            var p, v;
                            let {
                                port1: e,
                                port2: r
                            } = new MessageChannel;s(t, r),
                            p = e,
                            v = [e],
                            g.set(p, v),
                            o = p
                        }
                        break;
                    case "RELEASE":
                        o = void 0;
                        break;
                    default:
                        return
                }
            } catch (t) {
                o = {
                    value: t,
                    [a]: 0
                }
            }
            Promise.resolve(o).catch(t => ({
                value: t,
                [a]: 0
            })).then(r => {
                let [a, u] = _(r);
                e.postMessage(Object.assign(Object.assign({}, a), {
                    id: f
                }), u), "RELEASE" === c && (e.removeEventListener("message", n), l(e), i in t && "function" == typeof t[i] && t[i]())
            }).catch(t => {
                let [r, n] = _({
                    value: TypeError("Unserializable return value"),
                    [a]: 0
                });
                e.postMessage(Object.assign(Object.assign({}, r), {
                    id: f
                }), n)
            })
        }), e.start && e.start()
    }

    function l(t) {
        "MessagePort" === t.constructor.name && t.close()
    }

    function f(t, e) {
        let i = new Map;
        return t.addEventListener("message", function(t) {
                let {
                    data: e
                } = t;
                if (!e || !e.id) return;
                let r = i.get(e.id);
                if (r) try {
                    r(e)
                } finally {
                    i.delete(e.id)
                }
            }),
            function t(e, i, a = [], u = function() {}) {
                let o, s = !1,
                    l = new Proxy(u, {
                        get(r, u) {
                            if (c(s), u === n) return () => {
                                p && p.unregister(l), d(e), i.clear(), s = !0
                            };
                            if ("then" === u) {
                                if (0 === a.length) return {
                                    then: () => l
                                };
                                let t = b(e, i, {
                                    type: "GET",
                                    path: a.map(t => t.toString())
                                }).then(m);
                                return t.then.bind(t)
                            }
                            return t(e, i, [...a, u])
                        },
                        set(t, r, n) {
                            c(s);
                            let [u, o] = _(n);
                            return b(e, i, {
                                type: "SET",
                                path: [...a, r].map(t => t.toString()),
                                value: u
                            }, o).then(m)
                        },
                        apply(n, u, o) {
                            c(s);
                            let l = a[a.length - 1];
                            if (l === r) return b(e, i, {
                                type: "ENDPOINT"
                            }).then(m);
                            if ("bind" === l) return t(e, i, a.slice(0, -1));
                            let [f, d] = v(o);
                            return b(e, i, {
                                type: "APPLY",
                                path: a.map(t => t.toString()),
                                argumentList: f
                            }, d).then(m)
                        },
                        construct(t, r) {
                            c(s);
                            let [n, u] = v(r);
                            return b(e, i, {
                                type: "CONSTRUCT",
                                path: a.map(t => t.toString()),
                                argumentList: n
                            }, u).then(m)
                        }
                    });
                return o = (h.get(e) || 0) + 1, h.set(e, o), p && p.register(l, e, l), l
            }(t, i, [], e)
    }

    function c(t) {
        if (t) throw Error("Proxy has been released and is not useable")
    }

    function d(t) {
        return b(t, new Map, {
            type: "RELEASE"
        }).then(() => {
            l(t)
        })
    }
    let h = new WeakMap,
        p = "FinalizationRegistry" in globalThis && new FinalizationRegistry(t => {
            let e = (h.get(t) || 0) - 1;
            h.set(t, e), 0 === e && d(t)
        });

    function v(t) {
        var e;
        let r = t.map(_);
        return [r.map(t => t[0]), (e = r.map(t => t[1]), Array.prototype.concat.apply([], e))]
    }
    let g = new WeakMap;

    function y(t) {
        return Object.assign(t, {
            [e]: !0
        })
    }

    function _(t) {
        for (let [e, r] of o)
            if (r.canHandle(t)) {
                let [n, i] = r.serialize(t);
                return [{
                    type: "HANDLER",
                    name: e,
                    value: n
                }, i]
            }
        return [{
            type: "RAW",
            value: t
        }, g.get(t) || []]
    }

    function m(t) {
        switch (t.type) {
            case "HANDLER":
                return o.get(t.name).deserialize(t.value);
            case "RAW":
                return t.value
        }
    }

    function b(t, e, r, n) {
        return new Promise(i => {
            let a = [, , , , ].fill(0).map(() => Math.floor(Math.random() * Number.MAX_SAFE_INTEGER).toString(16)).join("-");
            e.set(a, i), t.start && t.start(), t.postMessage(Object.assign({
                id: a
            }, r), n)
        })
    }
    t.s(["expose", 0, s, "proxy", 0, y, "wrap", 0, f])
}, 455872, t => {
    "use strict";
    let e = t => {
        if (null == t) return 2;
        let e = t.toString().split(".");
        return e ? .[1] ? .length ? ? 0
    };
    t.s(["getPrecisionFromPrice", 0, t => {
        let r = e(t);
        return r >= 6 ? 6 : Math.max(r, 2)
    }, "getPrecisionFromTickSize", 0, e])
}, 429694, t => {
    "use strict";
    var e = t.i(455872);
    t.s(["getBucketForPrice", 0, (t, r, n, i) => {
        let a = parseFloat(t || "0"),
            u = (0, e.getPrecisionFromTickSize)(i ? ? n);
        if ("ask" === r) {
            if (a > .990000000001) return "1";
            if (a <= .010000000001) return .01.toFixed(u);
            let t = Math.floor(a / n) * n,
                e = 1e-12 > Math.abs(a - t) ? t : t + n;
            return Math.min(.99, Math.max(n, e)).toFixed(u)
        }
        if (a < .009999999999) return "0";
        let o = Math.floor(a / n) * n;
        return Math.min(.99, Math.max(n, o)).toFixed(u)
    }, "getInversePrice", 0, (t, e = 2) => {
        let r;
        return r = 1 - parseFloat(t), Number(parseFloat(String(r))).toFixed(e)
    }], 429694)
}, 573346, t => {
    "use strict";
    var e, r, n, i, a, u, o, s, l, f, c, d;
    (o = e || (e = {})).BUY = "BUY", o.SELL = "SELL", (s = r || (r = {})).GTC = "GTC", s.FOK = "FOK", s.GTD = "GTD", s.FAK = "FAK", (l = n || (n = {}))[l.POLYGON = 137] = "POLYGON", l[l.AMOY = 80002] = "AMOY", (f = i || (i = {})).MAX = "max", f.ONE_WEEK = "1w", f.ONE_DAY = "1d", f.SIX_HOURS = "6h", f.ONE_HOUR = "1h", (c = a || (a = {})).COLLATERAL = "COLLATERAL", c.CONDITIONAL = "CONDITIONAL", (d = u || (u = {})).COMPLEMENTARY = "COMPLEMENTARY", d.MERGE = "MERGE", d.MINT = "MINT", t.s(["Side", 0, e])
}, 970863, 553512, t => {
    "use strict";
    t.s(["getAssetId", 0, t => {
        let e = t ? .clobTokenIds;
        return Array.isArray(e) && e.length > 0 ? e[0] : ""
    }, "sliceMarket", 0, t => {
        let e = t.events;
        return {
            orderMinSize: t.orderMinSize,
            orderPriceMinTickSize: t.orderPriceMinTickSize,
            outcomes: t.outcomes,
            clobTokenIds: t.clobTokenIds,
            conditionId: t.conditionId,
            slug: t.slug,
            bestAsk: t.bestAsk,
            bestBid: t.bestBid,
            outcomePrices: t.outcomePrices,
            lastTradePrice: t.lastTradePrice,
            spread: t.spread,
            closed: t.closed,
            ...Array.isArray(e) && e.length && {
                eventSlug: t.events[0].slug
            }
        }
    }], 970863);
    var e = t.i(831337);
    t.s(["debounce", 0, (t, r) => {
        let {
            wait: n,
            options: i
        } = (t => {
            let {
                wait: e,
                mode: r = "trailing"
            } = t;
            return {
                wait: e,
                options: { ..."leading" === r && {
                        leading: !0
                    },
                    ..."trailing" === r && {
                        trailing: !0
                    }
                }
            }
        })(r);
        return (0, e.debounce)(t, n, i)
    }], 553512)
}, 740941, 158571, 239733, t => {
    "use strict";
    var e, r, n = t.i(122137),
        i = t.i(785364),
        a = t.i(340504),
        u = t.i(660154),
        o = i.default ? i.default.isConcatSpreadable : void 0;
    let s = function(t) {
        return (0, u.default)(t) || (0, a.default)(t) || !!(o && t && t[o])
    };
    t.s(["default", 0, function t(e, r, i, a, u) {
        var o = -1,
            l = e.length;
        for (i || (i = s), u || (u = []); ++o < l;) {
            var f = e[o];
            r > 0 && i(f) ? r > 1 ? t(f, r - 1, i, a, u) : (0, n.default)(u, f) : a || (u[u.length] = f)
        }
        return u
    }], 740941);
    let l = function(t, e, r) {
        switch (r.length) {
            case 0:
                return t.call(e);
            case 1:
                return t.call(e, r[0]);
            case 2:
                return t.call(e, r[0], r[1]);
            case 3:
                return t.call(e, r[0], r[1], r[2])
        }
        return t.apply(e, r)
    };
    var f = Math.max;
    t.s(["default", 0, function(t, e, r) {
        return e = f(void 0 === e ? t.length - 1 : e, 0),
            function() {
                for (var n = arguments, i = -1, a = f(n.length - e, 0), u = Array(a); ++i < a;) u[i] = n[e + i];
                i = -1;
                for (var o = Array(e + 1); ++i < e;) o[i] = n[i];
                return o[e] = r(u), l(t, this, o)
            }
    }], 158571);
    var c = t.i(621122),
        d = t.i(344020),
        h = c.default ? function(t, e) {
            return (0, c.default)(t, "toString", {
                configurable: !0,
                enumerable: !1,
                value: function() {
                    return e
                },
                writable: !0
            })
        } : d.default,
        p = Date.now,
        v = (e = 0, r = 0, function() {
            var t = p(),
                n = 16 - (t - r);
            if (r = t, n > 0) {
                if (++e >= 800) return arguments[0]
            } else e = 0;
            return h.apply(void 0, arguments)
        });
    t.s(["default", 0, v], 239733)
}, 402675, t => {
    "use strict";
    var e, r = t.i(871780),
        n = t.i(507595),
        i = t.i(105754),
        a = t.i(969676),
        u = t.i(540143),
        o = t.i(752882);
    let s = function(t, e, s, l) {
        var f = -1,
            c = n.default,
            d = !0,
            h = t.length,
            p = [],
            v = e.length;
        if (!h) return p;
        s && (e = (0, a.default)(e, (0, u.default)(s))), l ? (c = i.default, d = !1) : e.length >= 200 && (c = o.default, d = !1, e = new r.default(e));
        t: for (; ++f < h;) {
            var g = t[f],
                y = null == s ? g : s(g);
            if (g = l || 0 !== g ? g : 0, d && y == y) {
                for (var _ = v; _--;)
                    if (e[_] === y) continue t;
                p.push(g)
            } else c(e, y, l) || p.push(g)
        }
        return p
    };
    var l = t.i(740941),
        f = t.i(344020),
        c = t.i(158571),
        d = t.i(239733),
        h = t.i(150379),
        p = t.i(6251);
    let v = function(t) {
        return (0, p.default)(t) && (0, h.default)(t)
    };
    var g = (e = function(t, e) {
        return v(t) ? s(t, (0, l.default)(e, 1, v, !0)) : []
    }, (0, d.default)((0, c.default)(e, void 0, f.default), e + ""));
    t.s(["difference", 0, g], 402675)
}]);

//# debugId=46645fac-50b5-9e8c-74ac-bbfa20d14d58